Subject: [savi] 回复: 答复: review: draft-bi-savi-csa-00.txt

From: ZhangDong <[email-masked]>
Date: Thu, 21 Aug 2008 11:50:18 +0800

Guang,

I can understand most of your explanation. However, there is another point I want to ask.

>  2 Even collision happens, it will not bring any trouble. Hosts can't 
> announce the ownership of this address by a DHCP solicitation. It can 
> just use it once to send a DHCP solicitation.

It seems that a host use one temporary address to solicit another address from the DHCP server. 
I remember the DHCP server sends the DHCPoffer message by broadcast.  So if it is, the host will not need a source address. That is to say the temporary address may be redundant.

Thanks.

-----------
Dong Zhang
Huawei Symantec Technologies Co., Ltd
TEL：010-82829263
ADDRESS：Harbour Networks P&D Center. Building 17, ZhongGuanCun Software Park, No.8, 
               Dongbeiwang West Road, HaiDian District, Beijing, China.

----- 原始邮件 -----
发件人: Guang Yao <[email-masked]>
日期: 2008年 8月 20日, 星期三,  下午8:02
主题: 答复: review: draft-bi-savi-csa-00.txt
收件人: [email-masked]
抄送: 'Jun Bi' <[email-masked]>

> Dear Dong Zhang,
>  
>  The collision problem of CGA address exists both in IPv4 and IPv6. In 
> IPv4, this problem is more serious. This draft just gives a possible 
> solution, and many details should be modified in the future, 
> especially in IPv4.
>  I will try to explain why we didn't put forward the collision problem 
> seriously.
>  1 Actually, the IPv4 address doesn't have to be the hash of the CGA 
> identifier. It can be any valid address in the local address space. It 
> is just a temporary address, not a permanent address. 
>  
>  2 Even collision happens, it will not bring any trouble. Hosts can't 
> announce the ownership of this address by a DHCP solicitation. It can 
> just use it once to send a DHCP solicitation.
>  
>  3 However, we choose that the host id should be generated by hashing 
> the CGA. This is because we want to control address space exhaustion. 
> In DHCP, one host can request the ownership of all the possible 
> addresses. The collision will slow the speed of application. The 
> gateway will check the collision of address in DHCP solicitation and 
> drop collision request packets. But we do think this is will brings 
> much trouble and maybe using other addresses to send DHCP solicitation 
> will be more reasonable.
>  
>  However, thanks for your proposition. Duplicate detection will be 
> firstly considered if we find using a duplicated temporary address 
> will trouble the existing mechanisms, e.g., the layer-2 protocol.
>  
>  Best Regards,
>  Guang Yao
>  -----邮件原件-----
>  发件人: Jun Bi [mailto:[email-masked]] 
>  发送时间: 2008年8月20日 17:58
>  收件人: yaoa02
>  主题: Fw: review: draft-bi-savi-csa-00.txt
>  
>  Could you reply?
>  thanks,
>  jun
>  ----- Original Message ----- 
>  From: "ZhangDong" <[email-masked]>
>  To: "Jun Bi" <[email-masked]>; "Jianping Wu" 
> <[email-masked]>; 
>  <[email-masked]>
>  Cc: <[email-masked]>
>  Sent: Wednesday, August 20, 2008 5:03 PM
>  Subject: review: draft-bi-savi-csa-00.txt
>  
>  
>  Processor Bi, Wu and Yao,
>  
>  <   If the node is an IPv4 node, the only different case is DHCP.  The
>  <   node cannot use a CGA address to send a DHCP solicitation.  This 
> can
>  <  be solved by using the address as an identifier, but not as a
>  <   locator.  The CGA address in contained in the packet as an option,
>  <   and the host id of the IPv4 address is the hash of the CGA address.
>  <  The signature is computed on the whole packet.
>  
>  Here, I wonder whether the host id of the IPv4 address created by the 
> hash 
>  of the CGA address will bring a collision. In other words, the host 
> id of 
>  the IPv4 address may already be used. Perhaps, it should has a 
> duplicate 
>  detection.
>  
>  Best regards.
>  
>  -----------
>  Dong Zhang
>  Huawei Symantec Technologies Co., Ltd
>  TEL：010-82829263
>  ADDRESS：Harbour Networks P&D Center. Building 17, ZhongGuanCun 
> Software 
>  Park, No.8,
>                 Dongbeiwang West Road, HaiDian District, Beijing, China.
>  
>  
>  
>  
>